curl --request GET \
--url https://api.test.switch.vaultera.co/events/{merchant_id} \
--header 'api-key: <api-key>'import requests
url = "https://api.test.switch.vaultera.co/events/{merchant_id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.test.switch.vaultera.co/events/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.test.switch.vaultera.co/events/{merchant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.test.switch.vaultera.co/events/{merchant_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.test.switch.vaultera.co/events/{merchant_id}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.test.switch.vaultera.co/events/{merchant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"events": [
{
"event_id": "evt_018e31720d1b7a2b82677d3032cab959",
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"profile_id": "SqB0zwDGR5wHppWf0bx7GKr1f2",
"object_id": "QHrfd5LUDdZaKtAjdJmMu0dMa1",
"event_type": "payment_succeeded",
"event_class": "payments",
"initial_attempt_id": "evt_018e31720d1b7a2b82677d3032cab959",
"created": "2022-09-10T10:11:12Z",
"is_delivery_successful": true
}
],
"total_count": 123
}Events - List
List all Events associated with a Merchant Account or Profile.
curl --request GET \
--url https://api.test.switch.vaultera.co/events/{merchant_id} \
--header 'api-key: <api-key>'import requests
url = "https://api.test.switch.vaultera.co/events/{merchant_id}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.test.switch.vaultera.co/events/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.test.switch.vaultera.co/events/{merchant_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.test.switch.vaultera.co/events/{merchant_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.test.switch.vaultera.co/events/{merchant_id}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.test.switch.vaultera.co/events/{merchant_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"events": [
{
"event_id": "evt_018e31720d1b7a2b82677d3032cab959",
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"profile_id": "SqB0zwDGR5wHppWf0bx7GKr1f2",
"object_id": "QHrfd5LUDdZaKtAjdJmMu0dMa1",
"event_type": "payment_succeeded",
"event_class": "payments",
"initial_attempt_id": "evt_018e31720d1b7a2b82677d3032cab959",
"created": "2022-09-10T10:11:12Z",
"is_delivery_successful": true
}
],
"total_count": 123
}Authorizations
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.
Path Parameters
The unique identifier for the Merchant Account.
Query Parameters
Only include Events created after the specified time. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.
Only include Events created before the specified time. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.
The maximum number of Events to include in the response. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.
The number of Events to skip when retrieving the list of Events.
Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.
Only include Events associated with the specified object (Payment Intent ID, Refund ID, etc.). Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.
Only include Events associated with the Profile identified by the specified Profile ID.
Only include Events which are ultimately delivered to the merchant.